0.131
-----

IMPORTANT NOTE: The CHD format has undergone a change with this
release. The main reason for this change is to include some of the
key metadata into the hashes for the CHDs. This ensures that the
metadata is valid and prevents abuse.

The first impact you will find is that all of your CHD differencing
files are invalid. Just delete your "diff" directory contents 
entirely.

The second impact is that all your existing CHDs will warn you that
they have incorrect hashes. This is expected. Your old CHDs should
still work fine, so if you can live with the "bad ROM" warnings, you
don't really need to do anything. However, if this bugs you or you
want to be "clean", you can update your CHDs, using this command
line:

   chdman -update <chdfile> <newchdfile>
   
for each one of your CHDs. This will take a while, but will produce
CHDs that match the new checksums posted in the drivers.



MAMETesters Bugs Fixed
----------------------
- 02399: [Known Issues/To-Do's] qmhayaku : Sound CPU is running at 4MHz in 
         real machine. (Luigi30)
- 03115: [Graphics] nss_smw: Tilemap issue when displaying game map 
         (Angelo Salese)
- 00767: [DIP/Input] bshark, bsharkj: Analog stick input is broken since 
         0.112u4. (Derrick Renaud)
- 03070: [DIP/Input] harddriv, racedriv, steeltal and clones: Games map 
         some P1 inputs to P2 controls (Fabio Priuli)
- 03105: [Documentation] quizmeku: Year is listed as 1994, but title 
         screen shows 1992. (Fabio Priuli)



Source Changes
--------------
Removed the last use of PORT_PLAYER(2) for P1 inputs. [Fabio Priuli]

Merged memory maps in the suna8, supbtime, superchs, suprnova, 
suprslam, subs, suna16, stepstag, stfight, strnskill drivers. 
[Aaron Giles]

Numerous improvements to the roul driver. [robiza]

Merged findout.c memory map. [Angelo Salese]

Added basic implementation of the TMS9927 video controller.
[Aaron Giles]

Status games driver rewrite: [Aaron Giles]
 - Reduced multiple drivers down to a primary one with minor tweaks
 - Hooked up TMS9927 video generator
 - Fixed statriv2v character generator to be more accurate
 - Fixed incorrect colors
 - Correct video timing

Miscellaneous Naomi work and improvements. Some refactoring done,
new games hooked up. Moved NAOMI DRIVER_INITs to specific 
machine/naomi.c & includes/naomi.h files, in preparation to add 
per-game JVS settings. [Angelo Salese, David Haywood]

Changed generic NVRAM behavior so that all the variants look for a 
memory region named "nvram". If it is found and is of the same length 
as the generic_nvram_size, data is copied from there instead of 
filling the RAM with the fallback pattern. [Aaron Giles]

Fixed mouse/lightgun buttons to individually select when using 
-mouse/-multimouse and -lightgun. Meaning you will not receive Mouse 
Button 0 Gun Button 0 when selecting in the UI. [Derrick Renaud]

Merged memory map and attempted to add proper colors in Carrera.
[Angelo Salese]

Fixed verbose output of RAW device names for XP. [Derrick Renaud]

When using RawInput - Fixed UI selection of Gun axis so Gun 1 is not 
always selected with the desired gun. [Derrick Renaud]

Fixed XF flag in the 8085A core. [Aaron Giles]

Fixed frontend messages to leave enough space for clone longer names.
[Fabio Priuli]

Added Toshiba TLCS-900/H cpu core. [Wilbert Pol]

Added T6W28 sound core (SNK(?) custom sn76489a clone). [Wilbert Pol]

removed YM2151 from gijoe which is not present on real PCB.
[Yasuhiro Ogawa]

Fixed P2 gun reload in Lethal Enforcers II. [Derrick Renaud]

Fixed bug where repeating axis values were being selected for button 
input in UI. [Derrick Renaud]

Documented PALs from Xenophobe board. [Kevin Eshbach]

Crystallized 1945kiii.c, maygay1b.c, maygayv1.c, mwarr.c, n8080.c
(20.16MHz crystal confirmed with schematics), pacman.c, panicr.c,
rallyx.c. [Luigi30]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Fantastic Journey [Olivier Galibert]
Super Lucky Roulette [robiza]
Status Blackjack [Aaron Giles]
Status Fun Casino [Aaron Giles]
Multi Game 2 [Mariusz Wojcieszek]



New clones added
----------------
Asterix (Japan) [Chack'n]
Ashura Blaster (World) [Tirino73]



New games marked as GAME_NOT_WORKING
------------------------------------
Marvel vs. Capcom 2 [Guru]
Zombie Revenge [Guru]
Guilty Gear X [Guru]
Virtua Striker 4 (Japan) [Guru]
Virtua NBA [Guru]
Giant Gram Zen-Nippon Pro Wresring 2 [Guru]
Dengen Tenshi Taisen Janshi Shangri-la [Guru]
Virtua Striker 4 ver. 2006 (Rev D) (Japan) 
   [Alex's Rom Dumping Project]
The Key Of Avalon - The Wizard Master - Server (GDT-0005C) (V4.001) 
   [Alex's Rom Dumping Project]
Virtua Striker 2002 (GDT-0001) [Alex's Rom Dumping Project]
Derby Owners Club II [Guru]
Wild Riders [Guru]
WWF Royal Rumble [Guru]
Quiz Ah Megamisama [Guru]
Dynamite Baseball Naomi [Guru]
Dynamite Baseball '99 [Guru]
Death Crimson OX [Guru]
Tripple Draw [Aaron Giles]
Casino Strip [Aaron Giles]



0.130u4
-------


MAMETesters Bugs Fixed
----------------------
- 03106: [Sound] mouja: Sound Effects/Voice missing (Angelo Salese)
- 03065: [Crash/Freeze] All sets in namcos12.c: [debug] MAME asserts 
         during load time (Aaron Giles)
- 03069: [Crash/Freeze] All sets in midzeus.c: [debug] MAME asserts 
         during load time (Aaron Giles)



Source Changes
--------------
Documented the www.segaresurrection.com decrypted Ninja Kids II sound 
rom so it doesn't show up as newly "found" bootleg version.
[Brian Troha]

Converted downtown, gondo, hbarrel, midres, timesold, topgunbl to use 
IPT_POSITIONAL. [Derrick Renaud]

Fixed Analog Settings to return to default when IPT_UI_SELECT (enter) 
pressed. Fixed misplaced brackets, allowing upper/lower case 
extensions for crosshair graphics and ldplayer chd files. 
[Derrick Renaud]

Naomi updates: [Angelo Salese, David Haywood]
 * Added H-Blank IN interrupt hook-up
 * Generate a few more interrupts (ISP end of render, VIDEO end of 
    render)
 * Some minor improvements to the irq system
 * Added a bunch of Maple-DMA fixes, now moeru boots too

Factored out MESS-specific code from machine/atari.c (cart init, 
loading & unloading) [Fabio Priuli]

Correctly implemented 'trail' function in ninjakd2. [kanikani]

Changed galgbios service switch to be a toggle. [David Haywood]

Fixed CPU_GET_INFO issues spotted by -validate in MESS debug build.
[Fabio Priuli]

Added Dip Locations to jalmah.c. [Fabio Priuli]

Improved test mode behaviour on the jalmah.c. [Angelo Salese]

Added display of frame number to the beamx/y info in the register 
view in the debugger. [Aaron Giles]

munch mobile improvements: [robiza]
 * implemented priorities
 * removed unnecessary tile index check

Memory map merging for naughtyb.c, ssrj.c. [Angelo Salese]

Converted jangou & nightgal drivers to use resistors with the color 
proms. [Angelo Salese]

Reverted to older behavior for how modified input port fields are 
handled. The originally intended behavior is that a new field that 
intersected a previous field would completely wipe out the original 
field. Recently a change was made that changed the behavior to only 
remove a portion of the bits from the original field. This is actually 
problematic behavior, so the original behavior was restored.
[Aaron Giles]

Fixed auto-center bug on analog joysticks. [Derrick Renaud]

Fixed UI when modifying the inc/dec/analog fields of an analog control
in sequence. [Derrick Renaud]

Corrected System 1 Z80 clocking: [Aaron Giles]
 * each opcode fetch is 2 cycles with /M1 low, so each byte of
    opcode fetching causes slightly longer delays than the previous
    tables
 * implemented approximate wait state timing for videoram access;
    further accuracy will rely on getting a dump of the PAL16R4
    that controls the horizontal video timing

Merged memory maps in taito_l.c, taito_x.c, taito_b.c, taito_f2.c,
taito_f3.c, surpratk.c, system16.c, system18.c. Also removed some word 
handlers in favor of using READ8/WRITE8 directly in address maps. 
Removed some additional unnecessary handlers in favor of using 
AM_READ_PORT. [Aaron Giles]

Changed the PPU2C0x implementation to be a device. [Nathan Woods]

Simplified the gun port handling in the Sammy Outdoor Shooting games.
[Derrick Renaud]

Small System 1 update: [Aaron Giles]
 * correct video timing
 * removed "small" video drivers for games that properly mask the
    scrolling areas

Correct sound ROM for T-Mek 4.4 [Lars Bull]

Partial fix to bug MT 3070 (harddriv & racedriv do not show anymore 
P2 inputs for analog controls). Still thinking about steeltal.
[Fabio Priuli]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Tekken Tag Tournament (world versions) [Olivier Galibert]



New clones added
----------------
Might! Pang (Euro 000925) [Corrado Tomaselli]
Night Warriors: Darkstalkers' Revenge (Asia 950302?) 
  [Smitdogg Jones, Nicola Salmoria]
Trivia Master (set 4) [SoftwareThis]
Wolf Fang -Kuhga 2001- (Rohga Japan Ver.) [Team Japump!!!]
Mystic Warriors (JAA) [Guru]



New games marked as GAME_NOT_WORKING
------------------------------------
The Typing of the Dead [Alex's Rom Dumping Project]
OutTrigger [Guru]
Cannon Spike / Gun Spike
Heavy Metal Geomatrix
Super Lucky Roulette? [robiza, Angelo Salese]



0.130u3
-------


MAMETesters Bugs Fixed
----------------------
- 01030: [Side-by-side] starjack: "Star Jacker" side-by-side test. 
         (Aaron Giles)
- 00983: [Graphics] pitfall2: Once you lose your last life, any object 
         not in the background shows up on the high score and continue 
         screens. (Aaron Giles)
- 00984: [Graphics] 4dwarrio: The game resolution changes in the 2nd 
         players turn in the cocktail mode. (Aaron Giles)
- 00257: [Graphics] wbmlb, wbmljb: When the player sprite reaches the 
         right side of the playfield, some garbage gfx appear on the 
         left side. (Aaron Giles)
- 00303: [Graphics] regulus: In cocktail mode when it is player 2's 
         turn graphics from the top of the screen flash at the bottom 
         of the screen (Aaron Giles)
- 00256: [Graphics] seganinj: [possible] Sprites leaving on the left 
         side on the screen aren't clipped properly. (Aaron Giles)
- 03098: [Color/Palette] all sets in mcatadv.c: Palette regression
         (Christophe Jaillet, Fabio Priuli)
- 03087: [Graphics] daireika: Graphic artifacts on attract mode. 
         (Angelo Salese)
- 03093: [Graphics] mazinger: the boss of 4th level is black (robiza)
- 03092: [Sound] spuzbobl: Some sound samples are being played 
         indefinitely (David Haywood)
- 01163: [DIP/Input] popbounc: [possible] MAME doesn't support paddle 
         input. (Fabio Priuli)
- 02187: [Documentation] All games of "Technos": Fix for manufacturer. 
         (Fabio Priuli)
- 02558: [Graphics] Graphic priority is not fully understood. 
         (Angelo Salese)
- 02557: [Graphics] All games in jalmah.c: There are square gaps 
         during gameplay. (Angelo Salese)
- 00598: [DIP/Input] popbounc: Regardless of whether the "paddle" or 
         "joystick" option is activated in the dipswitch, the controls 
         are broken. (Fabio Priuli)
- 00947: [Graphics] batsugun: At the level 4 boss there's a sprite 
         problem. (robiza)
- 02562: [Interface] Ability to choose arbitrarily named crosshair 
         pictures (Derrick Renaud)



Source Changes
--------------
Crosshair update: [Derrick Renaud]
 * Added Crosshair Options menu
    - ability to individually enable/disable crosshairs
    - ability for them to automatically disappear after a set amount 
       of time (this is now the default)
    - ability to select crosshair graphic
    - all settings are saved in the cfg file
 * Removed F1 toggle for crosshairs
 * Added new command option -crsshairpath
    - store all selectable graphics here
    - see config.txt for further info

Merged memory maps, renamed sets in the following drivers: vendetta,
videopkr, wrally, vball, unico, tsamuri, triplhnt, toypop, tnzs,
topshoot, topspeed, tecmo, tecmo16, tecmosys, terracre, thoop2,
tunderx, tiamc1, timelimt, taito_z. [Aaron Giles]

Added direct mode JVS command, used by the i/o for the later Naomi 
games [ElSemi, Angelo Salese]

hyprduel fix [Hau]

Force cpu resyncs main<->protection on pgm. [David Haywood]

trackfld cleanups: [Aaron Giles]
 - derived clocks where possible
 - complete memory maps from the schematics
 - hooked up proper sound command latching
 - reimplemented 6802-based ADPCM samples for the bootlegs
 - merged memory maps
 - extended NVRAM to the full RAM range (according to schematics)
 - created common include file and modified drivers to use it instead 
    of explicit externs

Removed msb/lsb handlers from taitosnd. Updated all drivers to
call the 8-bit versions directly from the address maps. [Aaron Giles]

Did bulk replace of AM_READ/WRITE(SMH_NOP) -> AM_READ/WRITENOP.
[Aaron Giles]

Reverted recent TMS32025 timing change which busted Cool Pool sound.
[Olivier Galibert]

exctsccr update: [Uki]
 - verified clock frequency (including 4KHz NMI)
 - position 6A is not populated in JAPAN ver.
 - sound tempo is wrong in all sets (with or without this change)
 - clock for AY-3-8910 is 14.31818M/8 except for main melody

taito_l input updates: [Fabio Priuli]
 * added plgirls cheat dip-switch [found by Gatinho]
 * added plgirls2 coin mode B

Fixed crshrace coinage dips. [stephh, Fabio Priuli]

Fixed mechattu coinage dips. [Fabio Priuli]

Redumped GFX ROM of kakumei2. [Uki]

Improved the Wave-DMA behaviour in Naomi, added PVR-DMA support. 
[Angel Salese]

Naomi video cleanups/reworking. [David Haywood]

DIPSW update [kanikani]
 - added DIP location to following drivers: djmain.c, fitfight.c, 
    gaiden.c, hornet.c, namcos1.c, namcos86.c, nwk-tr.c, skykid.c, 
    zr107.c
 - enabled some DIPSW settings

PGM update [XingXing]
 - added video ram mirroring (fixes a glitch in kovsh)
 - corrected some set names

neogeo fixes: [Fabio Priuli]
 * fixed popbounc controls bug (MT 598)
 * removed use of sprintf
 * added a note about service menu browsing when mahjong panel is ON

Konami inputs improvements: [Fabio Priuli]
 * Added source file konamipt.h to unify Konami inputs where possible 
    (e.g. most 80s-90s games were using basically the same coinage 
    settings and joystick inputs). 
 * While at it, verified all 0x00 coinage effects in drivers which now 
    use konamipt.h (fixing a few mistakes: hexion, mikie, crimfgtj...) 
 * Added finalizb service coin. Removed roadf coin4 & asterix coin3 
    (neither used by the games nor present in service mode). 
 * Fixed gberetb coin inputs (they were switched). 
 * Added port_condition to hcrash so that brake appears only when 
    present in the chosen cabinet. 
 * Cleaned up mystwarr.c & moo.c input handlers.
 * Verified 0x00 coinage settings in remaining Konami drivers (and two 
    Banpresto ones using same coinage settings)

Fixed the priority system in the jalmah.c driver [Uki, Angelo Salese]

Simulate 'keyoff' in the SPU. The envelopes aren't actually emulated, 
but the sound is silenced after a key-off (by placing the sound in a 
'release' state)  This prevents audiable sound from looping forever.
[David Haywood]

Build the IDE features table only when there is a CHD available.
[Curt Coder]

Added device-based implementations of the eeprom and i2c deevices.
[Samuele Zannoli]

Added diplocations to finalizr.c, gradius3.c, pandoras.c, rollerg.c 
and ultraman.c based on Guru's notes (thanks to AJG, who fwded them 
to me). [Fabio Priuli]

Dumped 1 BPROM of suchipi [Uki]

Changed Z80 cycle table definitions to be per-device. Removed
old set_info constants for the tables; they are now set up via
the z80_set_cycle_tables function. [Aaron Giles]

m90: reduced volume for all games, removed wrong graphics flag and 
added no cocktail flag for risky challenge. [robiza]

Reduced volume for bombrman, added wrong graphics flag for quizf1.
[robiza]

Removed old hardcoded keyboard handling for Atari 8bit systems and 
used more reasonable key matrix scan. No regressions expected in MAME 
(tested maxaflex.c games). [Fabio Priuli]

Many Naomi tweaks and improvements, plus a number of new sets added
but with no credit specified. [David Haywood]

Corrected names for Champion Italian PK boards (thank f205v for 
spotting this). [Mirko Buffoni]

Sega System 1/2 rewrite: [Aaron Giles]
 * accurate collision detection in all games
 * correct full memory maps
 * hooked up 8255 and Z80 PIO correctly
 * unified many hacked variants into common hardware models
 * proper mixing using the mixing PROM
 * converted to tilemaps
 * fixed shtngmst sprites
 * correct Z80 timing
 * proper sound interrupt signaling and feedback
 * full description of video hardware
 * proper input hookup in dakkochn
 * cleaned up rendering code
 * fixed cocktail mode in pretty much all games
 * fixed stuck sprites in some games
 * partial 8751 simulation for choplift
 * proper global muting (attract sound off works in older games)
 * yes, the Pitfall 2 title is missing; more work to be done

Put tables used for RGB utilities in a single object file rather 
than compiling them as statics in every object that uses them.
[Vas Crabb]

Added small workaround to get Thunder Hoop 2 past the "bad 
coprocessor" screen, but the game still has issues. [Peter Ferrie]

Fixed incorrect DIP location for dealer in epos.c. [Tafoid]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Unknown Poker [robiza, Angelo Salese]



New clones added
----------------
Exciting Soccer (Japan) [Uki]
Super Megatouch IV Tournament Edition 
  (9255-51-01 ROB, Standard version) [Brian Troha]
Pit Fighter (rev 7) [Smitdogg]
Chase H.Q. (US) [Smitdogg]
Crush Roller (bootleg?) [Tafoid, f205v]



New games marked as GAME_NOT_WORKING
------------------------------------
Key of Avalon 1.30 - Client [Alex's Rom Dumping Project]
Key of Avalon 2.0 - Client [Alex's Rom Dumping Project]
Sega Network Taisen Mahjong MJ 2 [Alex's Rom Dumping Project]
Sega Network Taisen Mahjong MJ 3 (Rev D) [Alex's Rom Dumping Project]
Triforce DIMM Updater [Alex's Rom Dumping Project]
Virtua Fighter 4 Final Tuned (Rev D) [Alex's Rom Dumping Project]
Virtua Fighter 4 Final Tuned (Rev A) [Alex's Rom Dumping Project]
Initial D : Arcade Stage Ver. 3 (Japan) (Rev B) [Alex's Rom Dumping Project]
Virtua Fighter 4 Evolution (Rev A) [Alex's Rom Dumping Project]
Wangan Midnight Maximum Tune 2 (Japan?) [Alex's Rom Dumping Project]



0.130u2
-------

(Due to an oversight, credit for the new Neo Geo BIOS was incorrectly
given in the previous whatsnew. Thanks to Massimiliano Macri for the
donation.)



MAMETesters Bugs Fixed
----------------------
- 02382: [Graphics] peke1012: Bad ROM dump causes graphics glitches
         (Jim Stolis)
- 02977: [Crash/Freeze] rdft2j2: Access Violation (Haze)
- 03071: [Sound] tndrcade tndrcadj: music problem (Phil Bennett)
- 03063: [Misc.] psyvaria, psyvarrv, usagi, nightrai, xiistag: Some 
         G-Net cards were dumped without restoring them to defaults 
         first (Guru)
- 03068: [DIP/Input] leprechn: Lives are incorrect in Dip Settings 
         (Tafoid)
- 03024: [DIP/Input] jrpacmbl: All inputs perform wrong function in-
         game (Fabio Priuli)
- 02972: [Documentation] shuttlei: Year is listed as 197?, confirmed 
         as 1979. (incog)
- 02978: [Documentation] suprgolf: Year is listed as 19??, confirmed 
         as 1989. (incog)
- 02970: [Documentation] sfbonus, sfbonusa, sfbonusb, sfbonusd, 
         sfbonusv: The year is 2003 according to the attract mode. 
         (incog)
- 02968: [Documentation] parrot3: The year is 2003 according to the 
         attract mode. (incog)
- 02969: [Documentation] parrot3b: The year is 2004 according to the 
         attract mode. (incog)
- 02999: [DIP/Input] taotaida: need more 3 buttons (Fabio Priuli)
- 03029: [DIP/Input] jitsupro, kazan, p47, rodland, stdragon and 
         clones: "Demo sounds" dip-switch inverted (Fabio Priuli)
- 03042: [Documentation] mjclub: Dip-Switch settings for mjclub 
         (Fabio Priuli)
- 03031: [DIP/Input] seganinj and clones: Player 1 button 3 not 
         present (Fabio Priuli)
- 03048: [Sound] equites and clone: strange noise ingame 
         (Phil Bennett)
- 03035: [Save/Restore] frogg, froggrmc: Autosave does not work 
         correctly (couriersud)
- 02172: [DIP/Input] some driving games: MAME allocates Player 2 - 4 
         inputs for deficient Player 1 inputs. (Fabio Priuli)



Source Changes
--------------
Added board description to Zodiack. [Guru]

Demoted some games to have the GAME_NOT_WORKING flag:
 - Alligator Hunt (protected version);
 - Glass;
 - Great Guns;
 - Name Club Ver. 3;
 - Snow Board Championship;
 - Tetris Korean bootleg;
 - Thunder Hoop 2: TH Strikes Back;
 - Touryuu Densetsu Elan-Doree / Elan Doree - Legend of Dragoon;
 - World Grand Prix;
 - World Rally 2 - Twin Racing;

Some various Naomi improvements and SH4 hacks to get more Naomi games
booting farther. [David Haywood, Angelo Salese]

Added a PCB layout for the large single plane PCB that Incredible 
Technologies used for the Golden Tee 3D series (3D through Classic), 
Shuffleshot, World Class Bowling and World Class Bowling Deluxe. 
[Guru]

Added PCB layout & hardwared documentation for Atari's Badlands [Guru]

WIP driver for Cubo CD32 [Mariusz Wojcieszek]:
 - AGA palette
 - AGA bitplane data fetching
 - support for up to 8 standard bitplanes
 - HAM8 mode

Further annotated the game lists is mamedriv.c. [Yasuhiro Ogawa]

Fixed pending IRQs handling in the TLCS-90 CPU core [Luca Elia]

Updated video timing in bestbest to match PCB [Guru]

ejsakura fix: added ymz280b_r to memory map to prevent musics to stop
while playing [Cs9ph7Rg0]

nemesis.c fix [Hau]
 - Fixed screen priority problems in Kitten Kaboodle.
 - Added flip screen & cocktail support.
 - Merged memory maps in hyprduel.c

CPU cores are now enabled on a per cpu core family basis instead of 
per cpu core variant. As a result CPUDEFS is no longer needed in the 
makefile. [Wilbert Pol]

TMS320C25 fixes and enhancements: [Olivier Galibert]
 - accept IRQs on IDLE
 - actually count irq processing and instruction fetching cycles
 - add support for external serial frame sync with internal
    triggering (aka TXM=1 and FSM=1).

Updated G-Net CHDs (reset to factory default settings and clear 
high-score table) [Guru]

Added description of G-Net card/PCB [Guru]

Fixed crash due to recent cheat engine changes. [Pugsy]

Fixed the sprite collision code of the mcu simulation in 
'machine\mexico86.c'. [Aladar]

Improved sound banking in galpani2 driver. [Luis Faria]

Gameplan improvements: [Tafoid]
 - verified and simplified the DIPs, adding locations
 - adjusted clocks in Leprechaun and Pirate Treasure based on info
    from the manual

Implemented model2 inputs through direct AM_READ_PORT access rather 
than using read handlers. The patch also fixes daytona brakes (which 
were previously labeled with the wrong tag). [Fabio Priuli]

Simplified input handling in Taito F3 games. [Fabio Priuli]

Various PGM fixes and improvements [XingXing]

Fixed rdft2j2 set, it was using rdft roms instead of the rdft2 ones.
[David Haywood]

Additional PGM improvements: [David Haywood]
 - Added emulation of the earlier type of ARM (ASIC27A, 5585E type)
    Used this for protection emulation on Photo Y2k, Knights of 
    Valour Superheroes instead of old simulation code
 - Disabled protection simulation for several sets. This demotes 
    Knights of Valour / Knights of Valour Plus to NOT working as there 
    is no dump of the internal rom.
 - Photo Y2k still works because it's using the emulation added above, 
    but You can no longer change region as this is supplied by the 
    ASIC27A device which is now emulated.  This is correct.
 - Added several new sets, several of which are re-releases of the 
    games using the ASIC 27A instead of the previous protection 
    devices. (oldss, killbldp)
 - Removed per-game speedup hacks, as they're no longer needed for the 
    ARM based games to boot correctly.

Fixed core_strwildcmp by increasing the limit from 8 to 16 characters.
[smf]

Verified and simplified munchmo DIPs, and added locations. Also fixed
clock speeds and AY-8910 clock to match recordings. [Tafoid]

Verified DIPs and added locations for Road Fighter. Adjusted defaults
to match the manual. [Tafoid]

In bublbobl, emulated CPU1 (slave) <-> AUDIOCPU communications and
AUDIOCPU reset at startup, previously this was disabled. [Mamesick]

Added samples emulation to Rough Ranger (V2.0), write ports A & B of 
YM2203 are used. [Mamesick]

Added game-specific kludge to get music in SD Gundam Psycho Salamander.
[Mamesick]

Fixed G-NET on big-endian hosts. [R. Belmont]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Hidden Catch 3 [Pierpaolo Prazzoli, Tomasz Slanina]
Iron Fortress [Smitdogg Jones, Dumping Project]
Mahjong Vegas (unprotected set) [Luca Elia, Uki]
E-Jan Sakurasou [Cs9ph7Rg0]
Kollon [Guru]
Otenki Kororin [Guru]
Shikigami no Shiro [Guru]
Magical Error wo Sagase [Hau]
Knights of Valour Superheroes [XingXing, David Haywood]



New clones added
----------------
Super Puzzle Bobble (2.04J) [Guru]
Zooo [Guru]
Operation Wolf (Japan) [Guru]
Puzz Loop (Asia) [Brian Troha]



0.130u1
-------

IMPORTANT NOTE: The CHD format has undergone a change with this
release. The main reason for this change is to include some of the
key metadata into the hashes for the CHDs. This ensures that the
metadata is valid and prevents abuse.

The first impact you will find is that all of your CHD differencing
files are invalid. Just delete your "diff" directory contents 
entirely.

The second impact is that all your existing CHDs will warn you that
they have incorrect hashes. This is expected. Your old CHDs should
still work fine, so if you can live with the "bad ROM" warnings, you
don't really need to do anything. However, if this bugs you or you
want to be "clean", you can update your CHDs, using this command
line:

   chdman -update <chdfile> <newchdfile>
   
for each one of your CHDs. This will take a while, but will produce
CHDs that match the new checksums posted in the drivers.



MAMETesters Bugs Fixed
----------------------
- 03017: [Crash/Freeze] bmfinal: crash after cutting edge logo 
         (Phil Bennett)
- 02875: [Sound] Any Game that uses AY-3-8910: Envelope Fix causes 
         notes tones to be played back incorrectly (couriersud)
- 03026: [Graphics] retofinv, retofin1, retofin2: The remaining lives 
         are not shown. (Pierpaolo Prazzoli)
- 02981: [Cheat System] CHEAT.C: MAX_ARGUMENTS doesn't seem to work. 
         (Pugsy)
- 00827: [Graphics] wc90b1, wc90b2: On the Credit display screen, the 
         PCB shows the upper part of the stadium. (robiza)
- 00230: [Graphics] troangel: I just checked mame emulation against my 
         pcb. (robiza)
- 03018: [Sound] f1gpstr2: Sounds not playing (Phil Bennett)



Source Changes
--------------
Fixed C140 ROM loading in winrun, winrun91 and driveyes [Phil Bennett]

Added Champion Italian PK blue board and promoted Champion Italian 
PK green board (previously citalian) and Champion Italian Cup 
(previously citaliana) to GAME_WORKING status 
[Mirko Buffoni, David Haywood]
 - Added cpokerpk (also known as CPK blue board for the color of the 
    board)
 - Renamed citalian -> cpokerpkg (green board, can be seen in rom too)
 - Renamed citaliana -> citalcup
 - added PAL decryption, making all games playable
 - Updated input ports and fixed gfx layout to use 6 bitplanes like 
    all others
 - Changed number10 and cpokerpk video udpate to not use transparency

Updated CHD format to version 4. Checksums are now computed and
stored separately for raw data and metadata, and metadata is now
checksummed by default. [Aaron Giles]

Updated chdman to support a generic metadata addition system:
  chdman -addmetatext <chdfile> <tag> [<index>] <sourcefile>
  chdman -addmetabin <chdfile> <tag> [<index>] <sourcefile>
[Aaron Giles]

Changed the CHD verify interfaces to pass back a structure containing
all the necessary data for verification and fixing. [Aaron Giles]

NeoGeo update [Johnboy]
 - maglordh - Renamed p1 to correct chip label (MichaelNet)
 - Renamed maglordh to maglord (MVS) and maglord to maglordh (AES)
 - whp - Renamed several roms to correct chip label (MichaelNet)
 - kof2001 - Renamed p's to correct chip label; added note (MichaelNet)
 - Added mv1c bios, redump/reverification required
 - Updated documentation (see neogeo.c)
 - cyberlip - Added correct m1 (Guru/Smitdogg)
 - eightman - Removed BAD_DUMP from m1, is correct (Guru/Smitdogg)

Merged Casino Winner and Royal Casino drivers [Angelo Salese]
 * Fixes Royal Casino colors;
 * Added flip screen support to the driver;
 * Changed Casino Winner to be a clone of Royal Casino;
 * Cleaned-up the driver;

Fixed Midnight Landing gfx bitplanes [Angelo Salese]

PGM updates: [Xing Xing, David Haywood] 
 - added kov2p205, martmasc romset
 - fixed some descriptions
 - experimental video change with a view to fix priorities on kov2

Modified cdrom.c to expose metadata read/write functions, and changed
chdman to use them. Also changed chdman to parse old-style metadata 
and convert it to new-style metadata. [Aaron Giles]

Fixed regressed sound in the deco MLC driver. [Angelo Salese]

Preliminary protection simulation in olds100a [XingXing]

Added an older Japanese neogeo bios [Corrado Tomaselli]

Improvements to Counter Steer [Angelo Salese]

Added new function core_fload() to load a file into an allocated 
buffer. Updated src2html, regrep, and chdman tools to use this 
function where appropriate. [Aaron Giles]

Fix f1gpstr2 sound regression [Phil Bennett]

Added default nvrams to sfbonus.c using rom_load_optional. This should 
save some time renaming and reparenting these in the future.
[David Haywood]

Minor video/psx.c changes that were needed for raycrisis. 
[David Haywood]

Fixed Heavy Unit main CPU bankswitch. This fixes the enemy appearing 
in attract mode. [Mamesick]

Added text tilemap flickering to pzletime. It allows to see the 
selected options. [Pierpaolo Prazzoli]

Changed the CPU cores to use the get_safe_token() pattern like other
devices. [Aaron Giles]

System16 update [kanikani]
 - Enabled some buttons previously marked as 'unused'.
   Manuals say 'No Connection', but programs read them and do 
   something. i.e. button2 in Tetris: can rotate the piece 

More Counter Steer progress. [Angelo Salese]

Added PCB layout for Jumping Break and additional information. 
Corrected the sound clocks on PCBs that only have a 28MHz OSC. Only 
Super Lup Lup Puzzle has the 14.318180MHz OSC. Rearranged the rom 
def section to group the F-E1-16-0xx PCB based games in order.
[Brian Troha]

troangel: better support of line scroll with wrap. The scroll offsets 
are split in LOW byte and HIGH byte. [robiza]

Add specific support for NEC VR4300/4310 CPUs. [R. Belmont]

Fixed paletteram in Super Crowns Golf. Hooked up text background. 
[Angelo Salese]

Updated CHD hashes. [Yasuhiro Ogawa, Aaron Giles, David Haywood]

Added default eeprom to skullfng, so that it appears less broken by 
default. (doesn't boot without one) [David Haywood]

wc90b1 and wc90b2: fix fg and bg vertical scroll [robiza]

Implemented a multi-sprite bit in toaplan2 driver. [robiza]

Changed mapping of start key in multfish.c to standard key (1) like 
other gambling games, added extra set. [David Haywood]

Fixed bug where chdman -extract would not truncate to the logical 
size. [Aaron Giles]

Silenced out heavy accesses to Sound RAM expansion area for Stress 
Busters [Angelo Salese]

Added better descriptions and dates to a number of drivers in the
mamedriv.c file. [Yasuhiro Ogawa]

Minor hack to fix start countdown sound bug in the Buggy Boys.
[Phil Bennett]

Added idle skipping and a number of new sets to the Naomi driver.
[David Haywood]

Burger Time: Added resistor values measured on real pcb [Anoid]

Adjusted volume in the galaxian driver. [couriersud]

Adjusted Volume and removed dc component from sound in the gyruss
driver. [couriersud]

AY-3-8910 improvements: [couriersud]
 * Fixed Gyruss audio regression
 * Measured RU and RD on AY-3-8910
 * Modelled ZX Spectrum audio circuit in SwitcherCAD and derived 
    resistor values for AY-3-8910

MIPS III: Update RA before executing the delay slot. [R. Belmont]

Added inputs for galaxia and astrowar. Galaxia is semi-playable.
Note: After inserting a coin, it can take a few seconds to respond.
[Robbbert]

Fixed build of ldplayer on OS X. Since the CUSTOM sound module no 
longer exists, I arbitrarily changed it to WAVE, as ar gets upset if 
it has no input files. I also removed the -all_load flag for ldplayer 
from the main makefile as it upsets the linker on OS X. [Vas Crabb]

Fix build for PPC64 Linux. (This slightly messes up static branch 
prediction hints on OS X and AIX, but OS X for PPC64 is dead, and 
no-one builds MAME for AIX, and it will still build, anyway.)
[Vas Crabb]

Paramaterise the arguments to check for NULL in the ATTR_NONNULL macro 
rather than just checking the first argument. This requires compiler 
support for C99 variadic macros (MSVC2005 and GCC4 have this AFAIK).
[Vas Crabb]

Z80PIO: When outputting from a port to the hardware in pio mode 3, 
only those bits defined by the mask should be output. Mame currently 
outputs everything. [Robbbert]

Changed the One-Shot List or Selectable value cheats to display "Set" 
instead of "Off". Also stopped the cheat options being activated in 
order when you are going through the possibilities in this case. 
These cheats are now activated by pressing ENTER after you have 
chosen an option. [Pugsy]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Buggy Boy/Speed Buggy (cockpit) [Phil Bennett]
Chaos Heat [Olivier Galibert]
Ray Crisis [Olivier Galibert, David Haywood]
Chaos Heat [Olivier Galibert, David Haywood]
Flip Maze [Olivier Galibert, David Haywood]
Super Puzzle Bobble [Olivier Galibert, David Haywood]
Soutenryu [Olivier Galibert, David Haywood]
Shanghai Shoryu Sairin [Olivier Galibert, David Haywood]
Psyvariar -Medium Unit- [Olivier Galibert, David Haywood]
Psyvariar -Revision- [Olivier Galibert, David Haywood]
Zoku Otenamihaiken [Olivier Galibert, David Haywood]
Usagi [Olivier Galibert, David Haywood, Angelo Salese]
Mahjong Oh [Olivier Galibert, David Haywood, Angelo Salese]
XII Stag [Olivier Galibert, David Haywood]
Jumping Break [Pierpaolo Prazzoli]
Champion Super III [Mirko Buffoni, David Haywood, Angelo Salese]
Champion Super 2 [Mirko Buffoni, David Haywood]



New clones added
----------------
Millennium 4000 (version 1.5) [Mirko Buffoni]
American Poker II (bootleg, v4) [Mirko Buffoni]



New games marked as GAME_NOT_WORKING
------------------------------------
Go By RC [Olivier Galibert, David Haywood]
Space Invaders Anniversary [Olivier Galibert, David Haywood]
Night Raid [Olivier Galibert, David Haywood]
Tokyo Cop (Italy) [David Haywood]
California Chase [Angelo Salese]
Street Games II [Guru, Angelo Salese]
Street Games [Smitdogg, Angelo Salese]
Bonanza [Smitdogg, Angelo Salese]
Thunderbirds [AGEMAME]
